registerUnsubscribers

Prev Next

Available in Classic and VPC

Register an email address to unsubscribe from advertising emails. The registered email address will be unsubscribed from advertising emails.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
POST /unsubscribers

Request headers

For information about the headers common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer request headers.

Request body

The following describes the request body.

Field Type Required Description
blockedReceivers List[String] Required List of recipient email addresses to register

Request example

The following is a sample request.

curl --location --request POST 'https://mail.apigw.ntruss.com/api/v1/unsubscribers' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \ 
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data-raw '{
  "blockedReceivers":[
    "xxx@naver.com",
    "xxx@daum.net"
  ]
}'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
count Integer - Number of email addresses registered to the unsubscribed list among those requested for registration
requestCount Integer - Total number of email addresses requested for registration
ignoreCount Integer - Number of email addresses not registered among those requested for registration

Response status codes

For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer response status codes.

Response example

The following is a sample response.

{
  "count": 100,
  "requestCount": 100,
  "ignoreCount": 0
}